package com.chenyang.nse.bussiness.tools.dataprocess.hive.hdfs;

public class HdfsFileInfo {
   private String name;
   private String fullName;
   private String dir;
   private String group;
   private String owner;
   private String permission;
   private String blockSize;
   private String length;
   private String type;

   public String getName() {
      return this.name;
   }

   public String getFullName() {
      return this.fullName;
   }

   public String getDir() {
      return this.dir;
   }

   public String getGroup() {
      return this.group;
   }

   public String getOwner() {
      return this.owner;
   }

   public String getPermission() {
      return this.permission;
   }

   public String getBlockSize() {
      return this.blockSize;
   }

   public String getLength() {
      return this.length;
   }

   public String getType() {
      return this.type;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setFullName(final String fullName) {
      this.fullName = fullName;
   }

   public void setDir(final String dir) {
      this.dir = dir;
   }

   public void setGroup(final String group) {
      this.group = group;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setPermission(final String permission) {
      this.permission = permission;
   }

   public void setBlockSize(final String blockSize) {
      this.blockSize = blockSize;
   }

   public void setLength(final String length) {
      this.length = length;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof HdfsFileInfo)) {
         return false;
      } else {
         HdfsFileInfo other = (HdfsFileInfo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$fullName = this.getFullName();
            Object other$fullName = other.getFullName();
            if (this$fullName == null) {
               if (other$fullName != null) {
                  return false;
               }
            } else if (!this$fullName.equals(other$fullName)) {
               return false;
            }

            Object this$dir = this.getDir();
            Object other$dir = other.getDir();
            if (this$dir == null) {
               if (other$dir != null) {
                  return false;
               }
            } else if (!this$dir.equals(other$dir)) {
               return false;
            }

            Object this$group = this.getGroup();
            Object other$group = other.getGroup();
            if (this$group == null) {
               if (other$group != null) {
                  return false;
               }
            } else if (!this$group.equals(other$group)) {
               return false;
            }

            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$permission = this.getPermission();
            Object other$permission = other.getPermission();
            if (this$permission == null) {
               if (other$permission != null) {
                  return false;
               }
            } else if (!this$permission.equals(other$permission)) {
               return false;
            }

            Object this$blockSize = this.getBlockSize();
            Object other$blockSize = other.getBlockSize();
            if (this$blockSize == null) {
               if (other$blockSize != null) {
                  return false;
               }
            } else if (!this$blockSize.equals(other$blockSize)) {
               return false;
            }

            Object this$length = this.getLength();
            Object other$length = other.getLength();
            if (this$length == null) {
               if (other$length != null) {
                  return false;
               }
            } else if (!this$length.equals(other$length)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof HdfsFileInfo;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $fullName = this.getFullName();
      result = result * 59 + ($fullName == null ? 43 : $fullName.hashCode());
      Object $dir = this.getDir();
      result = result * 59 + ($dir == null ? 43 : $dir.hashCode());
      Object $group = this.getGroup();
      result = result * 59 + ($group == null ? 43 : $group.hashCode());
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $permission = this.getPermission();
      result = result * 59 + ($permission == null ? 43 : $permission.hashCode());
      Object $blockSize = this.getBlockSize();
      result = result * 59 + ($blockSize == null ? 43 : $blockSize.hashCode());
      Object $length = this.getLength();
      result = result * 59 + ($length == null ? 43 : $length.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      return result;
   }

   public String toString() {
      return "HdfsFileInfo(name=" + this.getName() + ", fullName=" + this.getFullName() + ", dir=" + this.getDir() + ", group=" + this.getGroup() + ", owner=" + this.getOwner() + ", permission=" + this.getPermission() + ", blockSize=" + this.getBlockSize() + ", length=" + this.getLength() + ", type=" + this.getType() + ")";
   }
}
